Bug 132879 - prelink has a couple build issues
prelink has a couple build issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-18 13:47 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.3.2-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 13:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for the spec file (702 bytes, patch)
2004-09-18 13:48 EDT, Steve Grubb
no flags Details | Diff

  None (edit)
Description Steve Grubb 2004-09-18 13:47:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
The prelink package has a couple problems. It uses libselinux, but it
is not required in the BuildRequires. The buildroot is hard coded to
/var instead of using the {_tmppath} macro.

I will attach a patch that addresses this.

Version-Release number of selected component (if applicable):
prelink-0.3.2-6

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps --force libselinux-devel
2. rpmbuild -bb prelink.spec

Additional info:
Comment 1 Steve Grubb 2004-09-18 13:48:25 EDT
Created attachment 103984 [details]
patch for the spec file
Comment 2 Jakub Jelinek 2004-10-02 13:06:22 EDT
Added in 0.3.2-10 (except WITH_SELINUX macros).

Note You need to log in before you can comment on or make changes to this bug.